%global tar_date 20170914
%global debug_package %{nil}
%define _unpackaged_files_terminate_build 0


%{?python_provide:%python_provide python2-%{name}}

Name:		google-compute-engine
Version:	2.6.1
Release:	1%{?dist}
Group:		default
Summary:	Google Compute Engine guest environment
BuildArch:	noarch
License:	ASL 2.0
URL:		https://github.com/GoogleCloudPlatform/compute-image-packages
Source0:	%{tar_date}.tar.gz

Requires:	curl
Requires:	ntp
Requires:	systemd
Requires:	rsyslog
Requires:	python-setuptools
Requires:	python-google-compute-engine

BuildRequires:	systemd python2-devel python-setuptools python-google-compute-engine

Obsoletes: google-compute-engine-init
Obsoletes: google-config
Obsoletes: google-startup-scripts
Conflicts: google-compute-engine-init
Conflicts: google-config
Conflicts: google-startup-scripts


%description
This package contains scripts, configuration, and init files for features specific to the Google Compute Engine cloud environment.

%prep
%autosetup -n compute-image-packages-%{tar_date}

%build
export CONFIG="systemd"
%{__python} setup.py %{?py_setup_args} build

%install
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}/etc/dhcp
mkdir -p %{buildroot}/etc/rsyslog.d
mkdir -p %{buildroot}/etc/sysctl.d
mkdir -p %{buildroot}/etc/udev/rules.d

cp google_config/rsyslog/90-google.conf %{buildroot}/etc/rsyslog.d/
cp google_config/sysctl/11-gce-network-security.conf  %{buildroot}/etc/sysctl.d/
cp google_config/udev/*.rules %{buildroot}/etc/udev/rules.d/


export CONFIG="systemd"
%{__python} setup.py %{?py_setup_args} install --prefix=%{_prefix} -O1 --skip-build --root %{buildroot}
rm -Rf %{buildroot}/usr/lib/python*


mkdir -p %{buildroot}/etc/dhcp/dhclient.d
mkdir -p %{buildroot}%{_unitdir}
mkdir -p %{buildroot}%{_presetdir}
cp google_compute_engine_init/systemd/*.service %{buildroot}%{_unitdir}
cp google_compute_engine_init/systemd/90-google-compute-engine.preset %{buildroot}%{_presetdir}/90-google-compute-engine.preset
cp google_config/bin/set_hostname %{buildroot}%{_bindir}
cp google_config/dhcp/google_hostname.sh %{buildroot}/etc/dhcp/dhclient.d/google_hostname.sh


%files
%defattr(0644,root,root,0755)

%attr(0755,root,root) /etc/dhcp/dhclient.d/google_hostname.sh
%{_unitdir}/*.service
%{_presetdir}/90-google-compute-engine.preset

%config /etc/rsyslog.d/90-google.conf
%config /etc/sysctl.d/11-gce-network-security.conf
/etc/udev/rules.d/*.rules
%attr(0755,root,root) %{_bindir}/*

%post

%systemd_post google-accounts-daemon.service
%systemd_post google-clock-skew-daemon.service
%systemd_post google-instance-setup.service
%systemd_post google-ip-forwarding-daemon.service
%systemd_post google-network-setup.service
%systemd_post google-shutdown-scripts.service
%systemd_post google-startup-scripts.service
# On upgrade run instance setup again to handle any new configs and restart daemons.
if [ $1 -eq 2 ]; then
  /usr/bin/google_instance_setup
  systemctl reload-or-restart google-accounts-daemon.service
  systemctl reload-or-restart google-clock-skew-daemon.service
  systemctl reload-or-restart google-ip-forwarding-daemon.service
fi

%preun
# On uninstall only.

%systemd_preun google-accounts-daemon.service
%systemd_preun google-clock-skew-daemon.service
%systemd_preun google-instance-setup.service
%systemd_preun google-ip-forwarding-daemon.service
%systemd_preun google-network-setup.service
%systemd_preun google-shutdown-scripts.service
%systemd_preun google-startup-scripts.service


%changelog
* Tue Sep 18 2017 Sreenath G <sreenathg@redhat.com> - 2.6.1-1
- Resolves: rhbz#1479480
- rebasing to 2.6.1 version, upstream source reference 14-Sep-2017
